/Users/bernard/b20/bsoft/tcltk/bshow_filament.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_filament.tcl - Procedures to create, move and destroy filament selections.

SYNOPSIS

  Functions
Filaments
Dialog box to manipulate filaments on the main canvas.
setNodeRadius
Sets the node radius from the dialog box.
filamentCreate x y
Starts a new filament.
nodeCreateSelect x y
Creates or selects a node.
nodeSelect x y
Selects a node on the canvas.
nodeMove x y
Moves the selected node.
nodeDraw fid nid
Draws a circle for a node on the canvas.
nodeLinkDraw fid nid1 nid2
Draws a line between two nodes on the canvas.
filamentsDrawAll
Draws filament nodes and lines connecting nodes on the canvas.
filamentUpdateSelected
Updates the selected filament and node in the dialog window.
nodeDelete x y
Deletes the selected node.
filamentDelete
Deletes the selected filament.
filamentDeleteAll
Deletes all filaments.
filamentCenterNodes
Centers filament nodes.
filamentExtract
Extracts filaments defined in the micrograph parameters.
filamentExtract_and_DestroyWindow w
Extracts filaments from the current set of node coordinates.
filamentsToParticles
Creates particles on filaments.
updateNodeParam
Updates node parameters from the micrograph parameters in memory.
filamentProfilePlot fid nid
Plots the selected filament profile in the plot canvas.
filamentProfileWrite
Writes the selected filament profile to a file.

Detailed Description

Procedures to create, move and destroy filament selections.

Author:
    Bernard Heymann

Date:
    Created: 20020808

    Modified: 20180410

Definition in file bshow_filament.tcl.

Function Documentation

  filamentCenterNodes

Centers filament nodes.

Definition at line 454 of file bshow_filament.tcl.

  filamentCreatex y

Starts a new filament.

Parameters:
    x
    y First node position in canvas coordinates.

Definition at line 191 of file bshow_filament.tcl.

  filamentDelete

Deletes the selected filament.

Definition at line 425 of file bshow_filament.tcl.

  filamentDeleteAll

Deletes all filaments.

Definition at line 441 of file bshow_filament.tcl.

  filamentExtract

Extracts filaments defined in the micrograph parameters.

Definition at line 465 of file bshow_filament.tcl.

  filamentExtract_and_DestroyWindoww

Extracts filaments from the current set of node coordinates.

Parameters:
    w Dialog window.

Definition at line 533 of file bshow_filament.tcl.

  filamentProfilePlotfid nid

Plots the selected filament profile in the plot canvas.

Parameters:
    fid filament identifier.
    nid node identifier.

Definition at line 610 of file bshow_filament.tcl.

  filamentProfileWrite

Writes the selected filament profile to a file.

Definition at line 669 of file bshow_filament.tcl.

  Filaments

Dialog box to manipulate filaments on the main canvas.

Definition at line 25 of file bshow_filament.tcl.

  filamentsDrawAll

Draws filament nodes and lines connecting nodes on the canvas.

Definition at line 356 of file bshow_filament.tcl.

  filamentsToParticles

Creates particles on filaments.

Definition at line 560 of file bshow_filament.tcl.

  filamentUpdateSelected

Updates the selected filament and node in the dialog window.

Definition at line 384 of file bshow_filament.tcl.

  nodeCreateSelectx y

Creates or selects a node.

Parameters:
    x
    y Node position in canvas coordinates.

Definition at line 202 of file bshow_filament.tcl.

  nodeDeletex y

Deletes the selected node.

Parameters:
    x
    y Node position in window coordinates.

Definition at line 407 of file bshow_filament.tcl.

  nodeDrawfid nid

Draws a circle for a node on the canvas.

Parameters:
    fid Filament identifier.
    nid Node identifier.

Definition at line 286 of file bshow_filament.tcl.

  nodeLinkDrawfid nid1 nid2

Draws a line between two nodes on the canvas.

Parameters:
    fid Filament identifier.
    nid1 Node 1 identifier.
    nid2 Node 2 identifier.

Definition at line 326 of file bshow_filament.tcl.

  nodeMovex y

Moves the selected node.

Parameters:
    x
    y Node position in canvas coordinates.

Definition at line 260 of file bshow_filament.tcl.

  nodeSelectx y

Selects a node on the canvas.

Parameters:
    x
    y Node position in window coordinates.

Returns:
    node_selected Index of the selected node, 0 if none selected.

Definition at line 234 of file bshow_filament.tcl.

  setNodeRadius

Sets the node radius from the dialog box.

Definition at line 179 of file bshow_filament.tcl.

  updateNodeParam

Updates node parameters from the micrograph parameters in memory.

Definition at line 581 of file bshow_filament.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.